DefaultErrorManager (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.syntax

## Class DefaultErrorManager

- java.lang.Object
- - hlt.language.syntax.ErrorManager
  - - hlt.language.syntax.DefaultErrorManager

-     public class DefaultErrorManager
      extends ErrorManager

  This the class of objects used by default to manage and report errors. Its error reporting method amounts to printing the specified error on `System.err` (which is the default error stream and may be reset to another `PrintStream` if desired).
  Version:
    Last modified on Fri Apr 13 19:55:50 2012 by hak
  Author:
    Hassan Aït-Kaci
  See Also:
    `ErrorManager`
  Copyright:
    © by the author

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultErrorManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reportDeprecated(Error error)` Increments the deprecation warning count and prints the specified error on the error reporting stream.
    `void` | `reportError(Error error)` Increments the error count and prints the specified error on the error reporting stream.
    `void` | `reportWarning(Error error)` Increments the warning count and prints the specified error on the error reporting stream.
    `void` | `tallyDeprecateds()` Reports the total of deprecateds up to this point.
    `void` | `tallyErrors()` Reports the total of errors up to this point.
    `void` | `tallyWarnings()` Reports the total of warnings up to this point.

    - ### Methods inherited from class hlt.language.syntax.ErrorManager

      `countDeprecated, countError, countWarning, deprecatedCount, errorCount, errorStream, hasDeprecateds, hasErrors, hasWarnings, isRecoveringErrors, isReportingErrors, recoverFromErrors, reportErrors, reset, setErrorStream, warningCount`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultErrorManager

          public DefaultErrorManager()

  - ### Method Detail

    - #### reportError

          public void reportError(Error error)

      Increments the error count and prints the specified error on the error reporting stream. This method may be overridden.
      Specified by:
        `reportError` in class `ErrorManager`

    - #### tallyErrors

          public void tallyErrors()

      Reports the total of errors up to this point.
      Specified by:
        `tallyErrors` in class `ErrorManager`

    - #### reportWarning

          public void reportWarning(Error error)

      Increments the warning count and prints the specified error on the error reporting stream. This method may be overridden.
      Specified by:
        `reportWarning` in class `ErrorManager`

    - #### tallyWarnings

          public void tallyWarnings()

      Reports the total of warnings up to this point.
      Specified by:
        `tallyWarnings` in class `ErrorManager`

    - #### reportDeprecated

          public void reportDeprecated(Error error)

      Increments the deprecation warning count and prints the specified error on the error reporting stream. This method may be overridden.
      Specified by:
        `reportDeprecated` in class `ErrorManager`

    - #### tallyDeprecateds

          public void tallyDeprecateds()

      Reports the total of deprecateds up to this point.
      Specified by:
        `tallyDeprecateds` in class `ErrorManager`